acpi_bus_register_driver
Prev | Device Drivers ACPI Support | Next

## Name

acpi_bus_register_driver — register a driver with the ACPI bus

## Synopsis

`int acpi_bus_register_driver (` | struct acpi_driver * | driver`)`;

## Arguments

`driver`

  driver being registered

## Description

Registers a driver with the ACPI bus. Searches the namespace for all devices that match the driver's criteria and binds. Returns zero for success or a negative error status for failure.

Prev | Up | Next
Device Drivers ACPI Support | Home | acpi_bus_unregister_driver